AOWP_PHPBinaryOperatorExprElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPBinaryOperatorExprElement
/parser/ast/PHPBinaryOperatorExprElement.class.php at line 20

# Class AOWP_PHPBinaryOperatorExprElement

    AOWP_PHPElement
        └─AOWP_PHPBinaryOperatorExprElement

public class AOWP_PHPBinaryOperatorExprElement
extends AOWP_PHPElement

PHPBinaryOperatprExprElement PHPのASTにおける「２項演算子」を表すクラス 文法規則: unticked_statement 例： $a + 2;

Author:
  Ryoto Naruse /

Field Summary
final str | DOT
mixed | $leftExpr
mixed | $operatorName
mixed | $rightExpr

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPBinaryOperatorExprElement(mixed _line, mixed leftExpr, mixed operatorName, mixed rightExpr)

Method Summary
void | __toString()
void | addRightExpr(mixed rightExpr, mixed operatorName)
void | addScalarRightExpr(mixed rightExprString, mixed operatorName)
void | kind()
void | setLeftExpr(mixed element)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 21

### DOT

`public final str DOT = '.'`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 23

### leftExpr

`public mixed $leftExpr`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 24

### operatorName

`public mixed $operatorName`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 25

### rightExpr

`public mixed $rightExpr`

## Constructor Detail

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 27

### AOWP_PHPBinaryOperatorExprElement

`public AOWP_PHPBinaryOperatorExprElement(mixed _line, mixed leftExpr, mixed operatorName, mixed rightExpr)`

## Method Detail

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 34

### __toString

`public void __toString()`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 46

### addRightExpr

`public void addRightExpr(mixed rightExpr, mixed operatorName)`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 62

### addScalarRightExpr

`public void addScalarRightExpr(mixed rightExprString, mixed operatorName)`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 38

### kind

`public void kind()`

/parser/ast/PHPBinaryOperatorExprElement.class.php at line 42

### setLeftExpr

`public void setLeftExpr(mixed element)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr